Bug 1470033 - OSP11 -> OSP12 upgrade: docker services are missing preupgrade validation tasks in the upgrade tasks [NEEDINFO]
Summary: OSP11 -> OSP12 upgrade: docker services are missing preupgrade validation tas...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: z3
: 12.0 (Pike)
Assignee: Jose Luis Franco
QA Contact: Marius Cornea
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On:
Blocks: 1399762
TreeView+ depends on / blocked
 
Reported: 2017-07-12 10:11 UTC by Marius Cornea
Modified: 2018-08-20 12:59 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-20 12:58:30 UTC
jamsmith: needinfo? (jfrancoa)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 12:59 UTC
OpenStack gerrit 483856 None master: MERGED tripleo-heat-templates: Add validation task in docker services (Ia8c25827d0d6f34e0345c3946dfd6839a7116e04) 2017-11-28 18:36 UTC
OpenStack gerrit 489957 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Neutron] (Ie437b6825cc2c9a92a59d4a98e37d09e5e432a50) 2017-11-28 18:36 UTC
OpenStack gerrit 491399 None master: NEW tripleo-heat-templates: Add validation task in docker services [Heat] (I04c6e8c9c1cd0b427465fbab7df99823e7bcd02c) 2017-11-28 18:36 UTC
OpenStack gerrit 491411 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Aodh] (I0df382206bd27343455a6ad18fa2df1eea74a1f5) 2017-11-28 18:35 UTC
OpenStack gerrit 491433 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Gnocchi] (I3db9c13709ef0dcc71fbaf51b80c498d7998daac) 2017-11-28 18:35 UTC
OpenStack gerrit 493471 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Mistral] (Ic1cc3fb7cf59eaa67dd74e762f534f97b988541e) 2017-11-28 18:35 UTC
OpenStack gerrit 495195 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Mixed-1] (Idf93d01521af4ae08702168d68941025cffeca44) 2017-11-28 18:35 UTC
OpenStack gerrit 499108 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Nova] (I5327bd319012d99a6b805631bd96ca9f335d1b22) 2017-11-28 18:35 UTC
OpenStack gerrit 502037 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Ironic] (I4a208be04292d8d3b7a76819ba814a389fc8b6f2) 2017-11-28 18:35 UTC
OpenStack gerrit 502038 None master: NEW tripleo-heat-templates: Add validation task in docker services [Octavia] (I72da8e027b6da654bda328d4540ec1e6ed9767ff) 2017-11-28 18:35 UTC
OpenStack gerrit 502039 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Sahara] (I41088442f29e99c553312d0e4303ea3db6df8dad) 2017-11-28 18:34 UTC
OpenStack gerrit 502040 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Manila] (Iacedff7acfa95084508c20ac5331bfd873706a26) 2017-11-28 18:34 UTC
OpenStack gerrit 502041 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Ovn] (I11ef35d69ff100002d9558dc475a014ed7508a7c) 2017-11-28 18:34 UTC
OpenStack gerrit 502042 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Swift] (I16f38d9e1042c5d83455a28882b4a024aac27699) 2017-11-28 18:34 UTC
OpenStack gerrit 505586 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Mixed-2] (Iee10761330311d40825f0ad11b676d8f1f20355f) 2017-11-28 18:34 UTC
OpenStack gerrit 505587 None master: MERGED tripleo-heat-templates: Add validation task in docker services [Mixed-3] (If2720b84a5ba5c074bab19fabcb8cb25baac6af5) 2017-11-28 18:34 UTC
OpenStack gerrit 516612 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Neutron] (Ie437b6825cc2c9a92a59d4a98e37d09e5e432a50) 2017-11-28 18:34 UTC
OpenStack gerrit 516618 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Mistral] (Ic1cc3fb7cf59eaa67dd74e762f534f97b988541e) 2017-11-28 18:34 UTC
OpenStack gerrit 516627 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Mixed-1] (Idf93d01521af4ae08702168d68941025cffeca44) 2017-11-28 18:33 UTC
OpenStack gerrit 516628 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Nova] (I5327bd319012d99a6b805631bd96ca9f335d1b22) 2017-11-28 18:33 UTC
OpenStack gerrit 517265 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Ironic] (I4a208be04292d8d3b7a76819ba814a389fc8b6f2) 2017-11-28 18:33 UTC
OpenStack gerrit 517267 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Sahara] (I41088442f29e99c553312d0e4303ea3db6df8dad) 2017-11-28 18:33 UTC
OpenStack gerrit 517325 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Manila] (Iacedff7acfa95084508c20ac5331bfd873706a26) 2017-11-28 18:33 UTC
OpenStack gerrit 517326 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Ovn] (I11ef35d69ff100002d9558dc475a014ed7508a7c) 2017-11-28 18:33 UTC
OpenStack gerrit 517327 None stable/pike: MERGED tripleo-heat-templates: Add validation task in docker services [Swift] (I16f38d9e1042c5d83455a28882b4a024aac27699) 2017-11-28 18:33 UTC
OpenStack gerrit 517328 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Mixed-2] (Iee10761330311d40825f0ad11b676d8f1f20355f) 2017-11-28 18:32 UTC
OpenStack gerrit 517329 None stable/pike: NEW tripleo-heat-templates: Add validation task in docker services [Mixed-3] (If2720b84a5ba5c074bab19fabcb8cb25baac6af5) 2017-11-28 18:32 UTC
Launchpad 1704389 None None None 2017-07-20 10:00 UTC

Description Marius Cornea 2017-07-12 10:11:40 UTC
Description of problem:
OSP11 -> OSP12 upgrade: docker services are missing preupgrade validation tasks in the upgrade tasks.

Comparing the upgrade tasks, for neutron-api for example:

docker services:
https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/neutron-api.yaml#L172-L175

puppet services:
https://github.com/openstack/tripleo-heat-templates/blob/master/puppet/services/neutron-api.yaml#L217-L230

We can see that the preupgrade validation task is missing from docker:
        - name: "PreUpgrade step0,validation: Check service neutron-server is running"
          shell: /usr/bin/systemctl show 'neutron-server' --property ActiveState | grep '\bactive\b'
          when: neutron_server_enabled.rc == 0

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-7.0.0-0.20170628002128.el7ost.noarch

Comment 5 Marios Andreou 2017-11-09 06:09:01 UTC
Jose can you please add the validations reviews to trackers?

Comment 16 Yurii Prokulevych 2018-07-31 15:01:04 UTC
Verified with openstack-tripleo-heat-templates-7.0.12-5.el7ost.noarch

Comment 18 errata-xmlrpc 2018-08-20 12:58:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.